Set the pixel iterator row

- « ImagickPixelIterator::setIteratorLastRow

- ImagickPixelIterator::syncIterator »

- PHP Manual
- ImagickPixelIterator
- Set the pixel iterator row

# ImagickPixelIterator::setIteratorRow

(PECL imagick 2, PECL imagick 3)

ImagickPixelIterator::setIteratorRow — Set the pixel iterator row

### Description

public ImagickPixelIterator::setIteratorRow(int `$row`): bool
Warning

This function is currently not documented; only its argument list is available.

Set the pixel iterator row.

### Parameters

`row`

### Return Values

Returns `true` on success.

### Examples

Example #1 ImagickPixelIterator::setIteratorRow()

    <?php
    function setIteratorRow($imagePath) {
        $imagick = new \Imagick(realpath($imagePath));
        $imageIterator = $imagick->getPixelRegionIterator(200, 100, 200, 200);

        for ($x = 0; $x < 20; $x++) {
            $imageIterator->setIteratorRow($x * 5);
            $pixels = $imageIterator->getCurrentIteratorRow();
            /* Loop through the pixels in the row (columns) */
            foreach ($pixels as $pixel) {
                /** @var $pixel \ImagickPixel */
                /* Paint every second pixel black*/
                $pixel->setColor("rgba(0, 0, 0, 0)");
            }

            /* Sync the iterator, this is important to do on each iteration */
            $imageIterator->syncIterator();
        }

        header("Content-Type: image/jpg");
        echo $imagick;
    }

    ?>